## gsoap 2.8.132

=== gsoap/samples/curl/Makefile ===
GSOAP=../../src/soapcpp2
SOAPH=../../stdsoap2.h
SOAPC=../../stdsoap2.c
SOAPCPP=../../stdsoap2.cpp
CURLAPI=../../plugin/curlapi.c
CUSTOMDATE=../../custom/struct_tm_date.c
XMLRPC=../xml-rpc-json/xml-rpc.c
JSONC=../xml-rpc-json/json.c
CC=gcc
CPP=g++
LIBS=-lcurl -lcrypto -lssl
COFLAGS=-O2
CWFLAGS=-Wall
CIFLAGS=-I. -I../.. -I../../plugin -I../xml-rpc
CMFLAGS=-DWITH_OPENSSL 
CFLAGS= $(CWFLAGS) $(COFLAGS) $(CIFLAGS) $(CMFLAGS)
all:		curlclient curlclient++ curlrest curl-json-currentTime
curlclient:	calc.h curlclient.c
		$(GSOAP) -c -CL calc.h
		$(CC) $(CFLAGS) -o curlclient curlclient.c soapC.c soapClient.c $(CURLAPI) $(SOAPC) $(LIBS)
curlclient++:	calc.h curlclient.cpp
		$(GSOAP) -j -C calc.h
		$(CPP) $(CFLAGS) -o curlclient++ curlclient.cpp soapC.cpp soapcalcProxy.cpp $(CURLAPI) $(SOAPCPP) $(LIBS)
curlrest:	calc.h curlrest.c
		$(GSOAP) -I../.. -c -CSL -0 person.h
		$(CC) $(CFLAGS) -o curlrest curlrest.c soapC.c $(CUSTOMDATE) $(CURLAPI) $(SOAPC) $(LIBS)
curl-json-currentTime:	curl-json-currentTime.c
		$(GSOAP) -c -CSL ../xml-rpc-json/xml-rpc.h
		$(CC) $(CFLAGS) -o curl-json-currentTime curl-json-currentTime.c soapC.c $(XMLRPC) $(JSONC) $(CURLAPI) $(SOAPC) $(LIBS)
.PHONY: clean distclean
clean:
		rm -f *.o soapH.h soapStub.h soapC.c soapC.cpp soapClient.c soapClient.cpp soapcalcProxy.h soapcalcProxy.cpp
distclean:
		rm -f *.o soapH.h soapStub.h soapC.c soapC.cpp soapClient.c soapClient.cpp soapcalcProxy.h soapcalcProxy.cpp
		rm -f *.wsdl *.xsd *.xml *.nsmap *.log
		rm -f curlclient curlclient++ curlrest curl-json-currentTime

=== gsoap/samples/link/Makefile ===
# Simple Makefile for C example with muliple client linkage
WSDL2H=../../wsdl/wsdl2h
GSOAP=../../src/soapcpp2
SOAPH=../../stdsoap2.h
SOAPC=../../stdsoap2.c
SOAPCPP=../../stdsoap2.cpp
SOAPDOMC=../../dom.c
SOAPDOMCPP=../../dom.cpp
CC=gcc
CPP=g++
LIBS=
COFLAGS=-O2
CWFLAGS=-Wall
CIFLAGS=-I.. -I../..
CMFLAGS=
CFLAGS= $(CWFLAGS) $(COFLAGS) $(CIFLAGS) $(CMFLAGS)
all:		xmas
xmas:		xmas.c envC.o stdsoap2.o gmtClientLib.o calcClientLib.o xmasServerLib.o
		$(CC) $(CFLAGS) -o xmas xmas.c envC.o stdsoap2.o gmtClientLib.o calcClientLib.o xmasServerLib.o
stdsoap2.o:	$(SOAPH) $(SOAPC)
		$(CC) $(CFLAGS) -DWITH_NONAMESPACES -c $(SOAPC)
envC.o:		env.h header.h fault.h
		$(GSOAP) -c -CS -penv env.h
		$(CC) $(CFLAGS) -c envC.c
gmtClientLib.c:	gmt.h
		$(GSOAP) -c -C -n -pgmt gmt.h
gmtClientLib.o:	gmtClientLib.c
		$(CC) $(CFLAGS) -c gmtClientLib.c
calcClientLib.c:calc.h
		$(GSOAP) -c -C -n -pcalc calc.h
calcClientLib.o:calcClientLib.c
		$(CC) $(CFLAGS) -c calcClientLib.c
xmasServerLib.c:xmas.h
		$(GSOAP) -c -S -n -pxmas xmas.h
xmasServerLib.o:xmasServerLib.c
		$(CC) $(CFLAGS) -c xmasServerLib.c
xmas.h:		xmas.wsdl
		$(WSDL2H) -c xmas.wsdl
.PHONY: clean distclean
clean:
		rm -f *.o soapH.h soapStub.h soapC.cpp soapClient.cpp soapServer.cpp soapClientLib.cpp soapServerLib.cpp soap*Proxy.h soap*Proxy.cpp soap*Service.h soap*Service.cpp
distclean:
		rm -f *.o soapH.h soapStub.h soapC.cpp soapClient.cpp soapServer.cpp soapClientLib.cpp soapServerLib.cpp soap*Proxy.h soap*Proxy.cpp soap*Service.h soap*Service.cpp
		rm -f *.xsd *.xml *.nsmap *.log
		rm -f xmas

=== gsoap/samples/webserver/Makefile ===
GSOAP=../../src/soapcpp2
SOAPH=../../stdsoap2.h
SOAPC=../../stdsoap2.c
SOAPCPP=../../stdsoap2.cpp
SOAPDOMC=../../dom.c
SOAPDOMCPP=../../dom.cpp
CC=gcc
CPP=g++
LIBS=-lpthread -lz -lssl -lcrypto
COFLAGS=-O2
CWFLAGS=-Wall
CIFLAGS=-I../.. -I../../plugin
CMFLAGS=-DWITH_COOKIES -DWITH_GZIP -DWITH_OPENSSL 
CFLAGS= $(CWFLAGS) $(COFLAGS) $(CIFLAGS) $(CMFLAGS)
all:		webserver
webserver:	webserver.h webserver.c logging.o httpget.o httppost.o httpform.o httppipe.o httpda.o smdevp.o threads.o options.o $(SOAPH) $(SOAPC)
		$(GSOAP) -c -L webserver.h
		$(CC) $(CFLAGS) -o webserver webserver.c logging.o httpget.o httppost.o httpform.o httppipe.o httpda.o smdevp.o threads.o options.o soapC.c soapClient.c soapServer.c $(SOAPC) $(LIBS)
options.o:	opt.h options.h options.c
		$(GSOAP) -cnpopt opt.h
		$(CC) $(CFLAGS) -c options.c
logging.o:	../../plugin/logging.h ../../plugin/logging.c
		$(CC) $(CFLAGS) -c ../../plugin/logging.c
httpget.o:      ../../plugin/httpget.h ../../plugin/httpget.c
		$(CC) $(CFLAGS) -c ../../plugin/httpget.c
httppost.o:	../../plugin/httppost.h ../../plugin/httppost.c
		$(CC) $(CFLAGS) -c ../../plugin/httppost.c
httpform.o:	../../plugin/httpform.h ../../plugin/httpform.c
		$(CC) $(CFLAGS) -c ../../plugin/httpform.c
httppipe.o:	../../plugin/httppipe.h ../../plugin/httppipe.c
		$(CC) $(CFLAGS) -c ../../plugin/httppipe.c
httpda.o:	../../plugin/httpda.h ../../plugin/httpda.c
		$(CC) $(CFLAGS) -c ../../plugin/httpda.c
smdevp.o:	../../plugin/smdevp.h ../../plugin/smdevp.c
		$(CC) $(CFLAGS) -c ../../plugin/smdevp.c
threads.o:	../../plugin/threads.h ../../plugin/threads.c
		$(CC) $(CFLAGS) -c ../../plugin/threads.c
.PHONY: clean distclean
clean:
		rm -f *.o soapH.h soapStub.h soapC.c soapClient.c soapServer.c soapClientLib.c soapServerLib.c
distclean:
		rm -f *.o soapH.h soapStub.h soapC.c soapClient.c soapServer.c soapClientLib.c soapServerLib.c
		rm -f *.wsdl *.xsd *.xml *.nsmap *.log
		rm -f webserver

=== debian/changelog ===
gsoap (2.8.132-3) unstable; urgency=medium

  * Don't overwrite CPPFLAGS in Makefile.am files in sample directory
  * Add -D_GNU_SOURCE to CPPFLAGS to make strtod_l available on hurd-any

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 07 Aug 2024 08:16:28 +0200

gsoap (2.8.132-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064079

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 05:33:01 +0000

gsoap (2.8.132-2) unstable; urgency=medium

  * Re-upload source only

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 25 Jan 2024 11:34:59 +0100

gsoap (2.8.132-1) unstable; urgency=medium

  * Update to 2.8.132

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 23 Jan 2024 11:10:40 +0100

gsoap (2.8.124-2) unstable; urgency=medium

  * Re-upload source only

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 22 Dec 2022 22:12:52 +0100

=== debian/control ===
Source: gsoap
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends:
 debhelper-compat (= 13),
 dpkg-dev (>= 1.22.5)
Build-Depends-Arch:
 flex,
 bison,
 libssl-dev,
 libssl-dev:native,
 zlib1g-dev,
 zlib1g-dev:native
Build-Depends-Indep:
 doxygen,
 graphviz
Standards-Version: 4.7.0
Section: devel
Vcs-Browser: https://salsa.debian.org/ellert/gsoap
Vcs-Git: https://salsa.debian.org/ellert/gsoap.git
Homepage: https://gsoap2.sourceforge.net/

Package: libgsoap-2.8.132t64
Provides: ${t64:Provides}
Replaces: libgsoap-2.8.132
Breaks: libgsoap-2.8.132 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Pre-Depends:
 ${misc:Pre-Depends}
Description: Runtime libraries for gSOAP
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Runtime libraries.

Package: libgsoap-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libgsoap-2.8.132t64 (= ${binary:Version})
Description: Development libraries and headers for gSOAP
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Development libraries and
 headers.

Package: gsoap
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Stub generators for gSOAP
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Stub generators.

Package: gsoap-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: gSOAP documentation
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Documentation files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

# Add -D_GNU_SOURCE to CPPFLAGS to make strtod_l available on hurd-any
export DEB_CPPFLAGS_MAINT_APPEND = -D_GNU_SOURCE

version = 2.8.132

%:
	dh $@ --no-parallel

override_dh_auto_configure-arch:
	find gsoap/samples/autotest/databinding/examples -name '*.xml' \
		-exec chmod a-x {} ';'

ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	mkdir build-native
	# out of tree builds are broken
	cp -a aclocal.m4 configure configure.ac gsoap Makefile.am ylwrap *.in \
		build-native
	cd build-native && ./configure
	$(MAKE) -C build-native

	dh_auto_configure -- \
		--with-soapcpp2=$(CURDIR)/build-native/gsoap/src/soapcpp2 \
		--with-wsdl2h=$(CURDIR)/build-native/gsoap/wsdl/wsdl2h \
		--enable-ipv6 \
		--enable-samples
else
	dh_auto_configure -- \
		--enable-ipv6 \
		--enable-samples
endif

override_dh_auto_build-arch:
	# Add /usr/share/gsoap to soapcpp2's default import path
	dh_auto_build -- SOAPCPP2_IMPORTPATH='-DSOAPCPP2_IMPORT_PATH="\"/usr/share/gsoap/import:/usr/share/gsoap\""'

override_dh_auto_clean-arch:
	dh_auto_clean
	rm -rf build-native

override_dh_auto_install-arch:
	dh_auto_install
	rm debian/tmp/usr/lib/*/*.la
	rm debian/tmp/usr/share/gsoap/plugin/testmsgr-httpda.o
	rm debian/tmp/usr/share/gsoap/plugin/testmsgr-smdevp.o
	rm debian/tmp/usr/share/gsoap/plugin/testmsgr-threads.o
	install -p -m 644 debian/WS-README debian/tmp/usr/share/gsoap/WS

override_dh_autoreconf-indep:

override_dh_auto_configure-indep:
	chmod a-x gsoap/doc/fonts/*

override_dh_auto_build-indep:
	for f in gsoap/doc/*/Doxyfile ; do \
	  ( cd `dirname $$f` ; doxygen Doxyfile ) ; \
	done

override_dh_auto_clean-indep:
	rm -rf gsoap/doc/*/html
	rm -f gsoap/doc/*/doxygen_sqlite3.db

override_dh_auto_install-indep:

override_dh_installdocs-indep:
	dh_installdocs -X Doxyfile -X README.txt \
		-X doxygen_footer.html -X doxygen_header.html \
		-X guide/index.md -X guide/stdsoap2.h -X soapdoc2.html \
		-X gsoap/doc/GeniviaLogo2_trans_noslogan.png \
		-X gsoap/doc/genivia_content.css \
		-X genivia_tabs.css \
		-X gsoap/doc/index.html \
		-X doxygen_sqlite3.db

override_dh_compress-indep:
	dh_compress -X fonts

get-orig-source:
	if [ -r gsoap_$(version).orig.tar.gz ] ; then \
	  echo "gsoap_$(version).orig.tar.gz already exists." ; \
	else \
	  if [ -d "gsoap-2.8" ]; then \
	    echo "Please remove existing directory 'gsoap-2.8'" ; \
	    exit 1 ; \
	  fi ; \
	  if [ -d "gsoap-$(version)" ]; then \
	    echo "Please remove existing directory 'gsoap-$(version)'" ; \
	    exit 1 ; \
	  fi ; \
	  if [ -r gsoap_$(version).zip ]; then \
	    echo "Using existing ZIP archive gsoap_$(version).zip" ; \
	    echo "Delete the file and rerun if you want to redownload" ; \
	  else \
	    echo "Fetching upstream ZIP archive" ; \
	    wget https://downloads.sourceforge.net/gsoap2/gsoap_$(version).zip ; \
	  fi ; \
	  echo "Unpacking and renaming folder" ; \
	  unzip gsoap_$(version).zip ; \
	  mv gsoap-2.8 gsoap-$(version) ; \
	  echo "Deleting precompiled binaries" ; \
	  rm -rf gsoap-$(version)/gsoap/bin ; \
	  rm gsoap-$(version)/gsoap/samples/rest/person \
	     gsoap-$(version)/gsoap/samples/wcf/Basic/TransportSecurity/calculator \
	     gsoap-$(version)/gsoap/VisualStudio2005/wsdl2h/wsdl2h/soapcpp2.exe ; \
	  echo "Deleting pre-generated doxygen documentaion" ; \
	  rm -rf gsoap-$(version)/gsoap/doc/*/html ; \
	  echo "Deleting code with only non-free licenses" ; \
	  rm -rf gsoap-$(version)/gsoap/extras \
		 gsoap-$(version)/gsoap/mod_gsoap \
		 gsoap-$(version)/gsoap/Symbian \
		 gsoap-$(version)/gsoap/doc/apache \
		 gsoap-$(version)/gsoap/doc/wininet \
		 gsoap-$(version)/gsoap/doc/isapi ; \
	  echo "Deleting xsd and wsdl files" ; \
	  rm gsoap-$(version)/gsoap/WS/*.xsd \
	     gsoap-$(version)/gsoap/WS/*.wsdl \
	     gsoap-$(version)/gsoap/samples/autotest/*.xsd \
	     gsoap-$(version)/gsoap/samples/autotest/*.wsdl \
	     gsoap-$(version)/gsoap/uddi2/*.xsd \
	     gsoap-$(version)/gsoap/uddi2/*.wsdl ; \
	  echo "Deleting pre-generated files" ; \
	  rm gsoap-$(version)/gsoap/samples/webserver/optC.c \
	     gsoap-$(version)/gsoap/samples/webserver/optH.h \
	     gsoap-$(version)/gsoap/samples/webserver/optStub.h ; \
	  rm gsoap-$(version)/gsoap/VisualStudio2005/wsdl2h/wsdl2h/wsdlC.cpp \
	     gsoap-$(version)/gsoap/VisualStudio2005/wsdl2h/wsdl2h/wsdlH.h \
	     gsoap-$(version)/gsoap/VisualStudio2005/wsdl2h/wsdl2h/wsdlStub.h ; \
	  echo "Deleting .DS_Store files" ; \
	  find gsoap-$(version) -name .DS_Store -exec rm {} ';' ; \
	  echo "Repacking" ; \
	  tar -z -c -f gsoap_$(version).orig.tar.gz gsoap-$(version) ; \
	  echo "Cleaning up" ; \
	  rm -rf gsoap-$(version) ; \
	  echo "Done" ; \
	fi

## gsoap 2.8.135

=== gsoap/samples/link++/Makefile ===
# Simple Makefile for C++ example with muliple client proxy linkage
WSDL2H=../../wsdl/wsdl2h
GSOAP=../../src/soapcpp2 -I../..
SOAPH=../../stdsoap2.h
SOAPC=../../stdsoap2.c
SOAPCPP=../../stdsoap2.cpp
SOAPDOMC=../../dom.c
SOAPDOMCPP=../../dom.cpp
CC=gcc
CPP=g++
LIBS=
COFLAGS=-O2
CWFLAGS=-Wall
CIFLAGS=-I. -I.. -I../..
CMFLAGS=
CFLAGS= $(CWFLAGS) $(COFLAGS) $(CIFLAGS) $(CMFLAGS)
all:		xmas
xmas:		xmas.cpp envC.o stdsoap2.o gmtProxy.o calccalcProxy.o xmasmashupService.o
		$(CPP) $(CFLAGS) -o xmas xmas.cpp envC.o stdsoap2.o gmtProxy.o calccalcProxy.o xmasmashupService.o gmtC.cpp calcC.cpp xmasC.cpp
stdsoap2.o:	$(SOAPH) $(SOAPC)
		$(CPP) $(CFLAGS) -DWITH_NONAMESPACES -c ../../stdsoap2.cpp
envC.o:		env.h header.h fault.h
		$(GSOAP) -CS -penv env.h
		$(CPP) $(CFLAGS) -c envC.cpp
gmtProxy.cpp:	gmt.h
		$(GSOAP) -i -w -C -qgmt gmt.h
gmtProxy.o:	gmtProxy.cpp
		$(CPP) $(CFLAGS) -c gmtProxy.cpp
calccalcProxy.cpp:	calc.h
		$(GSOAP) -i -w -C -qcalc calc.h
		cp calcH.h soapH.h
calccalcProxy.o:	calccalcProxy.cpp
		$(CPP) $(CFLAGS) -c calccalcProxy.cpp
xmasmashupService.cpp:	xmas.hpp
		$(GSOAP) -i -S -qxmas xmas.hpp
xmasmashupService.o:	xmasmashupService.cpp
		$(CPP) $(CFLAGS) -c xmasmashupService.cpp
xmas.hpp:	xmas.wsdl
		$(WSDL2H) -s -o xmas.hpp xmas.wsdl
.PHONY: clean distclean
clean:
		rm -f *.o *H.h *Stub.h *C.cpp *Client.cpp *Server.cpp *ClientLib.cpp *ServerLib.cpp *Proxy.h *Proxy.cpp *Service.h *Service.cpp
distclean:
		rm -f *.o *H.h *Stub.h *C.cpp *Client.cpp *Server.cpp *ClientLib.cpp *ServerLib.cpp *Proxy.h *Proxy.cpp *Service.h *Service.cpp
		rm -f *.xsd *.xml *.nsmap *.log
		rm -f xmas

=== gsoap/samples/wcf/Basic/Http/Makefile ===
URL=http://192.168.2.2:8000/ServiceModelSamples/service
WSDL=../../../../wsdl/wsdl2h
GSOAP=../../../../src/soapcpp2
SOAPH=../../../../stdsoap2.h
SOAPC=../../../../stdsoap2.c
SOAPCPP=../../../../stdsoap2.cpp
SOAPDOMC=../../../../dom.c
SOAPDOMCPP=../../../../dom.cpp
TYPEMAP=../../../../typemap.dat
CC=gcc
CPP=g++
LIBS=
GSFLAGS=-L -I../../../../import
COFLAGS=-O2
CWFLAGS=-Wall
CIFLAGS=-I. -I../../../.. -I../../../../plugin
CMFLAGS=
#CMFLAGS=-DDEBUG
CFLAGS= $(CWFLAGS) $(COFLAGS) $(CIFLAGS) $(CMFLAGS)
all:		calculator
calculator:	calculator.h calculator.cpp $(SOAPH) $(SOAPC)
		$(GSOAP) $(GSFLAGS) -a -j calculator.h
		$(CPP) $(CFLAGS) -o calculator calculator.cpp soapC.cpp soapBasicHttpBinding_USCOREICalculatorService.cpp soapBasicHttpBinding_USCOREICalculatorProxy.cpp $(SOAPCPP) $(LIBS)
calculator.h:
		$(WSDL) -t $(TYPEMAP) -o calculator.h $(URL)?wsdl
.PHONY: clean distclean
clean:
		rm -f *.o soapH.h soapStub.h soapC.* soapClient.* soapServer.* soap*Proxy.* soap*Service.* soap*Object.*
distclean:
		rm -f *.o soapH.h soapStub.h soapC.* soapClient.* soapServer.* soap*Proxy.* soap*Service.* soap*Object.*
		rm -f *.xml *.nsmap *.log
		rm -f calculator

=== gsoap/samples/wcf/Basic/MessageSecurity/Makefile ===
URL=http://192.168.2.2:8000/ServiceModelSamples/service
WSDL=../../../../wsdl/wsdl2h
GSOAP=../../../../src/soapcpp2
SOAPH=../../../../stdsoap2.h
SOAPC=../../../../stdsoap2.c
SOAPCPP=../../../../stdsoap2.cpp
SOAPDOMC=../../../../dom.c
SOAPDOMCPP=../../../../dom.cpp
TYPEMAP=../../../../typemap.dat
CC=gcc -x c
CPP=g++ -x c++
LIBS=-lssl -lcrypto
GSFLAGS=-L -I../../../../import
COFLAGS=-O2
CWFLAGS=-Wall
CIFLAGS=-I. -I../../../.. -I../../../../plugin
CMFLAGS=-DWITH_DOM -DWITH_OPENSSL
#CMFLAGS=-DDEBUG -DWITH_DOM -DWITH_OPENSSL
CFLAGS= $(CWFLAGS) $(COFLAGS) $(CIFLAGS) $(CMFLAGS)
all:		calculator
calculator:	calculator.h calculator.cpp $(SOAPH) $(SOAPC)
		$(GSOAP) $(GSFLAGS) -a -j calculator.h
		$(CPP) $(CFLAGS) -o calculator calculator.cpp soapC.cpp soapBasicHttpBinding_USCOREICalculatorService.cpp soapBasicHttpBinding_USCOREICalculatorProxy.cpp ../../../../plugin/wsseapi.c ../../../../plugin/smdevp.c ../../../../plugin/mecevp.c $(SOAPDOMCPP) $(SOAPCPP) $(LIBS)
%.cer: %.pem
		openssl x509 -in $< -outform der -out $@
calculator.h:
		$(WSDL) -t $(TYPEMAP) -o calculator.h $(URL)?wsdl
.PHONY: clean distclean
clean:
		rm -f *.o soapH.h soapStub.h soapC.* soapClient.* soapServer.* soap*Proxy.* soap*Service.* soap*Object.*
distclean:
		rm -f *.o soapH.h soapStub.h soapC.* soapClient.* soapServer.* soap*Proxy.* soap*Service.* soap*Object.*
		rm -f *.xml *.nsmap *.log
		rm -f calculator

=== gsoap/samples/wcf/WS/DualHttp/Makefile ===
URL=http://192.168.2.2:8000/ServiceModelSamples/service
WSDL=../../../../wsdl/wsdl2h
GSOAP=../../../../src/soapcpp2
SOAPH=../../../../stdsoap2.h
SOAPC=../../../../stdsoap2.c
SOAPCPP=../../../../stdsoap2.cpp
SOAPDOMC=../../../../dom.c
SOAPDOMCPP=../../../../dom.cpp
TYPEMAP=../../../../typemap.dat
CC=gcc -x c
CPP=g++ -x c++
LIBS=-lssl -lcrypto
GSFLAGS=-L -I../../../../import -I../../../..
COFLAGS=-O2
CWFLAGS=-Wall
CIFLAGS=-I. -I../../../.. -I../../../../plugin
CMFLAGS=-DCB_THREAD -DWITH_WCF -DWITH_DOM -DWITH_OPENSSL
CFLAGS= $(CWFLAGS) $(COFLAGS) $(CIFLAGS) $(CMFLAGS)
all:		calculator
calculator:	calculator.h calculator.cpp $(SOAPH) $(SOAPC) wsrxClient.cpp
		$(GSOAP) $(GSFLAGS) -a -j calculator.h
		$(CPP) $(CFLAGS) -o calculator calculator.cpp soapC.cpp soapWSDualHttpBinding_USCOREICalculatorDuplexService.cpp soapWSDualHttpBinding_USCOREICalculatorDuplexProxy.cpp wsrxClient.cpp wsrxServer.cpp ../../../../plugin/wsrmapi.c ../../../../plugin/wsaapi.c ../../../../custom/duration.c $(SOAPDOMCPP) $(SOAPCPP) $(LIBS)
wsrxClient.cpp wsrxServer.cpp:
		$(GSOAP) $(GSFLAGS) -A -pwsrx ../../../../import/wsrm5.h
%.cer: %.pem
		openssl x509 -in $< -outform der -out $@
calculator.h:
		$(WSDL) -t $(TYPEMAP) -o calculator.h $(URL)?wsdl
.PHONY: clean distclean
clean:
		rm -f *.o soapH.h soapStub.h soapC.* soapClient.* soapServer.* soap*Proxy.* soap*Service.* soap*Object.*
		rm -f *.o wsrxH.h wsrxStub.h wsrxC.* wsrxClient.* wsrxServer.* wsrxwsrmObject.h wsrxwsrmProxy.h
distclean:
		rm -f *.o soapH.h soapStub.h soapC.* soapClient.* soapServer.* soap*Proxy.* soap*Service.* soap*Object.*
		rm -f *.o wsrxH.h wsrxStub.h wsrxC.* wsrxClient.* wsrxServer.* wsrxwsrmObject.h wsrxwsrmProxy.h
		rm -f *.xml *.nsmap *.log
		rm -f calculator

=== debian/changelog ===
gsoap (2.8.135-2) unstable; urgency=medium

  * Re-upload source only

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 01 Nov 2024 11:41:53 +0100

gsoap (2.8.135-1) unstable; urgency=medium

  * Update to 2.8.135

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 30 Oct 2024 11:04:52 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Build-Depends:
- debhelper-compat (= 13),
- dpkg-dev (>= 1.22.5)
+ debhelper-compat (= 13)
 Build-Depends-Arch:
  flex,
  bison,
@@ -20,10 +19,7 @@
 Vcs-Git: https://salsa.debian.org/ellert/gsoap.git
 Homepage: https://gsoap2.sourceforge.net/
 
-Package: libgsoap-2.8.132t64
-Provides: ${t64:Provides}
-Replaces: libgsoap-2.8.132
-Breaks: libgsoap-2.8.132 (<< ${source:Version})
+Package: libgsoap-2.8.135
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -42,7 +38,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libgsoap-2.8.132t64 (= ${binary:Version})
+ libgsoap-2.8.135 (= ${binary:Version})
 Description: Development libraries and headers for gSOAP
  The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
  development of SOAP Web Services and clients. Development libraries and

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Add -D_GNU_SOURCE to CPPFLAGS to make strtod_l available on hurd-any
 export DEB_CPPFLAGS_MAINT_APPEND = -D_GNU_SOURCE
 
-version = 2.8.132
+version = 2.8.135
 
 %:
 	dh $@ --no-parallel
@@ -45,9 +45,8 @@
 override_dh_auto_install-arch:
 	dh_auto_install
 	rm debian/tmp/usr/lib/*/*.la
-	rm debian/tmp/usr/share/gsoap/plugin/testmsgr-httpda.o
-	rm debian/tmp/usr/share/gsoap/plugin/testmsgr-smdevp.o
-	rm debian/tmp/usr/share/gsoap/plugin/testmsgr-threads.o
+	rm debian/tmp/usr/share/gsoap/custom/*.o
+	rm debian/tmp/usr/share/gsoap/plugin/*.o
 	install -p -m 644 debian/WS-README debian/tmp/usr/share/gsoap/WS
 
 override_dh_autoreconf-indep:

## gsoap 2.8.139

=== debian/changelog ===
gsoap (2.8.139-1) unstable; urgency=medium

  * Update to 2.8.139
  * Fix build with "make --shuffle=reverse" (Closes: #1105407)
  * Drop --no-parallel
  * Fix out-of-source build
  * Drop patch accepted upstream

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 19 Jan 2026 14:29:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,4 @@
 Source: gsoap
-Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Build-Depends:
  debhelper-compat (= 13)
@@ -13,13 +12,13 @@
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Section: devel
 Vcs-Browser: https://salsa.debian.org/ellert/gsoap
 Vcs-Git: https://salsa.debian.org/ellert/gsoap.git
 Homepage: https://gsoap2.sourceforge.net/
 
-Package: libgsoap-2.8.135
+Package: libgsoap-2.8.139
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -38,7 +37,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libgsoap-2.8.135 (= ${binary:Version})
+ libgsoap-2.8.139 (= ${binary:Version})
 Description: Development libraries and headers for gSOAP
  The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
  development of SOAP Web Services and clients. Development libraries and

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,10 @@
 # Add -D_GNU_SOURCE to CPPFLAGS to make strtod_l available on hurd-any
 export DEB_CPPFLAGS_MAINT_APPEND = -D_GNU_SOURCE
 
-version = 2.8.135
+version = 2.8.139
 
 %:
-	dh $@ --no-parallel
+	dh $@
 
 override_dh_auto_configure-arch:
 	find gsoap/samples/autotest/databinding/examples -name '*.xml' \
@@ -17,10 +17,7 @@
 
 ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
 	mkdir build-native
-	# out of tree builds are broken
-	cp -a aclocal.m4 configure configure.ac gsoap Makefile.am ylwrap *.in \
-		build-native
-	cd build-native && ./configure
+	cd build-native && ../configure
 	$(MAKE) -C build-native
 
 	dh_auto_configure -- \
